QScintilla 2.6.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QsciLexerOctave Class Reference

`#include <qscilexeroctave.h>`

Inherits QsciLexerMatlab.

List of all members.

## Public Member Functions

- QsciLexerOctave (QObject *parent=0)
- virtual ~QsciLexerOctave ()
- const char * language () const
- const char * lexer () const
- const char * keywords (int set) const

## Detailed Description

The QsciLexerOctave class encapsulates the Scintilla Octave file lexer.

## Constructor & Destructor Documentation

QsciLexerOctave::QsciLexerOctave | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerOctave with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerOctave::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexerMatlab.

const char* QsciLexerOctave::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerMatlab.